function [f, ph] = cost_fun(R, s0, s, p, w, inv_w)
[m, n] = size(s0); np = length(p);
g = reshape(R * reshape(s, m, n * np), size(R, 1) * n, np); 
h = g * p + vec(R * s0); 
dp = inv_w * g' * (pinv(g * inv_w * g') * h);
f = sqrt(dp' * w * dp); ph = p - dp;
