% models
test_r2io
test_model_transitions

% algorithms
n = 2; T = 20; s = 0.1; test_ident_siso
m = 5; n = 5; r0 = 3; nl = 1; structure = 'unstructured'; 
test_slra_nn 
m = 5; n = 5; r0 = 3; nl = 0.05; structure = 'hankel'; 
test_slra_nn
m = 50; n = 100; r0 = 5; nl = 0.4; od = 0.15; test_missing_data

% appl
m = 2; p = 3; n = 4; T = 15; s = 0.1; test_h2ss_opt
clear all, T = 50; hn = 2; s = 0.015; test_harmonic_retrieval
n = 4; T = 30; s = 0.1; test_ident_eiv
n = 4; T = 30; s = 0.1; test_ident_oe
m = 1; p = 1; l = 10; T = 50; s = 0.5; test_ident_fir
n = 50; r = 4; T = 25; test_mod_red, print_fig('test_mod_red')
n0 = 2; T = 25; nl = 0.2; test_sysid, print_fig('test_sysid')

% wlra
addpath ../mfiles/candes/matrix-completion/
addpath ../mfiles/candes/matrix-completion/PROPACK_simple/
q = 10; N = 100; m = 2; r = 0.1; sigma = 0; 
test_missing_data2
q = 10; N = 100; m = 2; r = 0.1; sigma = 0.1; 
test_missing_data2
q = 10; N = 100; m = 2; r = 0.4; sigma = 0.1; 
test_missing_data2
test_cls

% curve-fitting
examples_curve_fitting

% sensor
examples_sensor_speedup
test_lego