function [sysh, wh, info] = ident_siso(w, n, sys)
if ~exist('sys', 'var')
  R = lra(blkhank(w, n + 1), 2 * n + 1); q = - fliplr(R(1:2:end)); p = fliplr(R(2:2:end)); 
                                         sys = tf(q, p, -1); [q, p] = tfdata(tf(sys), 'v'); P = zeros(2, length(p)); 
                                                                 P(1, :) = fliplr(p); 
                                                                 P(2, :) = fliplr([q zeros(length(p) - length(q))]);
else
  [q, p] = tfdata(tf(sys), 'v'); P = zeros(2, length(p)); 
  P(1, :) = fliplr(p); 
  P(2, :) = fliplr([q zeros(length(p) - length(q))]);
end
prob = optimset(); 
prob.solver = 'fmincon';
prob.options = optimset('disp', 'off'); 
prob.x0 = P; 
prob.objective = @(P) misfit_siso(w, P);
prob.nonlcon = @(P) deal([], [P(1, :) * P(1, :)' - 1]);
[x, fval, flag, info] = fmincon(prob); info.M = fval;, P = x;
p = fliplr(P(1, :)); q = fliplr(P(2, :)); sys = tf(q, p, -1); sysh = sys;
if nargout > 1, [M, wh] = misfit_siso(w, P); end
