function [dh, e] = lra_als(d, p, l, tol, maxiter)
dh = p*l; 
e(1) = norm(d - dh, 'fro') ^ 2;
for i = 2:maxiter
    p = d * l' / (l * l'); l = (p' * p) \ p' * d;
    dh_old = dh; dh = p * l; e(i) = norm(d - dh, 'fro') ^ 2;
    if norm(dh_old - dh, 'fro') ^ 2 < tol, break, end
end
