function [M, wh] = misfit_siso(w, P)
try, [M, wh] = misfit_siso_efficient(w, P);
catch 
  [q, T] = size(w); if T < q, w = w'; [q, T] = size(w); end
  TP = blktoep(P, T); wh = reshape(TP * (TP \ w(:)), 2, T);
  M  = norm(w - wh, 'fro');
end
