function [M, ph] = misfit_slra(R, tts, p, w, s0, bfs, inv_w)
[m, n] = size(tts); np = max(max(tts));
if ~exist('s0', 'var') | isempty(s0), s0 = zeros(m, n); end, if ~exist('w', 'var') | isempty(w), w = eye(np); end
if ~exist('bfs'), vec_tts = tts(:); NP = 1:np;
                  bfs = vec_tts(:, ones(1, np)) == NP(ones(m * n, 1), :);, end
g = reshape(R * reshape(bfs, m, n * np), size(R, 1) * n, np); 
h = g * p + vec(R * s0); 
if ~exist('inv_w'), inv_w = inv(w); end
dp = inv_w * g' * (pinv(g * inv_w * g') * h);
M = sqrt(dp' * w * dp); ph = p - dp;
