function IO = r2io(r, tol)
q = size(r, 2); if ~exist('tol') || isempty(tol), tol = 1e-12; end 
IO = perms(1:q); nio = size(IO, 1); 
not_possible = []; warning_state = warning('off');
r = minr(r, tol); 
for i = 1:nio
    x = rio2x(r, IO(i, :), tol); 
    if isnan(x), not_possible = [not_possible, i]; end
end       
warning(warning_state); IO(not_possible, :) = []; 
