function uh = stepid_dd(y, g, n, ff)
if nargin == 3, ff = 1; end
dy = diff(y);
T  = size(y, 1); [p, m] = size(g); 
Tt = T - n; yt = y((n + 1):T, :)'; if n == 0, dy = [0; dy]; end 
x  = rls([kron(ones(Tt, 1), g), blkhank(dy, Tt)], yt(:), ff);
uh = x(1:m, p:p:end)'; uh = [NaN * ones(n, m); uh];
