function [R, ph, info] = swlra(s0, S, p, w, r, Rini)
if ~exist('Rini'), [m, n] = size(s0); np = length(p); 
                   d = s0 + reshape(reshape(S, m * n, np) * p, m, n); Rini = lra(d, r); end
prob = optimset(); inv_w = inv(w);  
prob.solver    = 'fmincon'; prob.x0 = Rini;
prob.options   = optimset('disp', 'off'); 
prob.objective = @(R) cost_fun(R, s0, S, p, w, inv_w);
prob.nonlcon   = @(R) deal([], [R * R' - eye(size(R, 1))]);
[R, fval, flag, info] = fmincon(prob); info.f = fval;
[f, ph] = cost_fun(R, s0, S, p, w, inv_w);
