randn('seed', 0); rand('seed', 0);
if ~exist('q'), q = 2; end
if ~exist('m'), m = 1; end
if ~exist('xini'), xini = []; end
figure, 
H = plot_model(r, ax, 'LineStyle', '-', 'color', 'k');
D0 = []; 
for h = H', 
  D0 = [D0 [get(h, 'XData'); get(h, 'YData')]]; 
end
D0 = D0(:, round(linspace(1, size(D0, 2), N))); 
D  = D0 + s * randn(size(D0));
qext = nchoosek(q + deg, deg); p = q - m;
[Deg, phi] = monomials(deg);
th_exc   = lra(phi(D), qext - p)';
th_ini   = bclra(D, deg); 
[th, Dh] = pslra(D, phi, qext - p, xini);
hold on; plot(D(1,:), D(2,:), 'o', 'markersize', 7); 
plot_model(th2poly(th_exc, phi), ax, ...
                   'LineStyle', ':', 'color', 'k'); 
plot_model(th2poly(th_ini, phi), ax, ...
                   'LineStyle', '-.', 'color', 'r'); 
plot_model(th2poly(th, phi), ax, ...
                   'LineStyle', '--', 'color', 'b');
axis(ax); print_fig(sprintf('%s-est', name))
