randn('seed', 0); rand('seed', 0);
t  = 1:T; f = 1 * pi * rand(hn, 1); phi = 2 * pi * rand(hn, 1);
y0 = sum(sin(f * t + phi(:, ones(1, T))));
yt = randn(size(y0)); y = y0 + s * norm(y0) * yt / norm(yt);
[sysh, yh, xinih, info] = harmonic_retrieval(y, hn * 2);
plot(t, y0, 'k-', t, y, 'k:', t, vec(yh), 'b--'), 
ax = axis; axis([1 T ax(3:4)])
print_fig('test_harmonic_retrieval')
