load('y-tea.mat'); ub = y(end); 
T = length(y); G = 1; n = 1; ff = .75; s = 0.01; 
uh_dd = stepid_dd(y, G, n, ff); 
yc = y - ub; f = yc(1:end - 1) \ yc(2:end); 
yh = f .^ (0:(T - 1))' * yc(1) + ub;
sys = ss(f, 1 - f, 1, 0, t(2) - t(1)); 
uh_kf = stepid_kf(y, sys.a, sys.b, sys.c, sys.d, s^2);
figure(1), hold on, plot(t, y, 'b-', t, yh, 'r--')
axis([1 t(end) y(1) y(end)]), print_fig('lego-test-fit')

figure(2), hold on, 
plot(t, abs(ub - y / G'), 'k-'), 
plot(t, abs(ub - uh_dd), '--b'), 
plot(t, abs(ub - uh_kf), '-.r'), 
axis([t(10) t(end) 0 5]), print_fig('lego-test-est')
