randn('seed', 0); rand('seed', 0);
sys0 = drss(n0); u0 = randn(T, 1); xini0 = randn(n0, 1);
y0   = lsim(sys0, u0, 1:T, xini0); w0 = [u0'; y0'];
w    = w0 + nl * randn(size(w0)); n = n0; 
tts = blkhank(reshape(1:(2 * T), 2, T), n + 1);
wh1 = slra_nn(tts, w(:), 2 * n + 1); 
R = lra(blkhank(w, n + 1), 2 * n + 1); q = - fliplr(R(1:2:end)); p = fliplr(R(2:2:end)); 
                                       sys = tf(q, p, -1); [q, p] = tfdata(tf(sys), 'v'); P = zeros(2, length(p)); 
                                                               P(1, :) = fliplr(p); 
                                                               P(2, :) = fliplr([q zeros(length(p) - length(q))]);
[M2, wh2] = misfit_siso(w, P); 
[sysh3, wh3, info] = ident_siso(w, n); M3 = info.M;
sv   = [svd(wh1(tts)) svd(wh2(tts)) svd(wh3(tts))]
cost = [norm(w(:) - wh1) norm(w(:) - wh2(:)) norm(w(:) - wh3(:))]
plot(w(2, :), 'k'), hold on, plot(wh1(2:2:end), 'r') 
plot(wh2(2, :), 'b--'), plot(wh3(2, :), 'c-.')
legend('data', 'nucnrm', 'lra', 'slra')
