wd = [ 1 2 5 7 9 3 6 8 ; 
       7 6 8 7 5 7 2 4 ];
p2 = @(w) [w(1,:) .^ 2; w(1,:) .* w(2,:); w(2,:) .^ 2; ...
           w; ones(1, size(w, 2))];
[Rh1, wh1] = nslra(wd, p2, 5); 
c1 = norm(wd - wh1, 'fro')

[Rh2, wh2] = nslra(wd, p2, 5, [wd(:); ones(6, 1)]); 
c2 = norm(wd - wh2, 'fro')
plot(wd(1,:), wd(2,:), 'o', 'markersize', 7), hold on
plot_model(Rh1, p2, [-10 40 -22 20], 'LineStyle', '--', 'color', 'r');
plot_model(Rh2, p2, [-4 10 -1 9], 'LineStyle', '-', 'color', 'b');
axis([-4 10 -1 9]), print_fig('example-2-f1')
Rini = tls(p2(wd), 5);
plot_model(Rini, p2, [-10 40 -22 20], 'LineStyle', '-.', 'color', 'k');
axis([-10 40 -22 20]), print_fig('example-2-f2')
