clear all
name = 'parabola'; 
N = 20; s = 0.1; 
deg = 2; syms x y; 
r = x^2 - y + 1;
ax = [-1 1 1 2.2];
test_curve_fitting
name = 'hyperbola'; 
N = 20; s = 0.3; 
deg = 2; syms x y; 
r = x^2 - y^2 - 1;
ax = [-2 2 -2 2]; 
test_curve_fitting
name = 'cissoid'; 
N = 25; s = 0.02; 
deg = 3; syms x y; 
r = y^2 * (1 + x) ...
    - (1 - x)^3;
ax = [-1 0 -10 10]; 
test_curve_fitting
name = 'folium'; 
N = 25; s = 0.1; 
deg = 3; syms x y; 
r = x^3 + y^3 - 3 * x * y;
ax = [-2 2 -2 2]; 
test_curve_fitting
name = 'eight';
N = 25; s = 0.01; 
deg = 4; syms x y; 
r = y^2 - x^2 + x^4; 
ax = [-1.1 1.1 -1 1]; 
test_curve_fitting
name = 'limacon';
N = 25; s = 0.002; 
deg = 4; syms x y; 
r = y^2 + x^2 - (4 * x^2 ...
    - 2 * x + 4 * y^2)^2;
ax = [-.1 .8 -0.5 .5]; 
test_curve_fitting
name = 'rose'; 
N = 30; s = 0.002; 
deg = 6; syms x y; 
r = (x^2 + y^2)^3 ...
    - 4 * x^2 * y^2;
ax = [-1 1 -1 1];
test_curve_fitting
name = 'special-data';
D = [1 2 5 7 9 3 6 8 ; 
     7 6 8 7 5 7 2 4 ]; 
D0 = D; deg = 2; 
xini = [D(:)' 1 0 0 1 0 -1]'; 
figure, ax = [-4 10 -1 9]; 
qext = nchoosek(q + deg, deg); p = q - m;
[Deg, phi] = monomials(deg);
th_exc   = lra(phi(D), qext - p)';
th_ini   = bclra(D, deg); 
[th, Dh] = pslra(D, phi, qext - p, xini); hold on; plot(D(1,:), D(2,:), 'o', 'markersize', 7); 
             plot_model(th2poly(th_exc, phi), ax, ...
                                'LineStyle', ':', 'color', 'k'); 
             plot_model(th2poly(th_ini, phi), ax, ...
                                'LineStyle', '-.', 'color', 'r'); 
             plot_model(th2poly(th, phi), ax, ...
                                'LineStyle', '--', 'color', 'b');
             axis(ax); print_fig(sprintf('%s-est', name))
