function x = rls(a, b, f)
[m, n] = size(a); finv = 1 / f;
ai = a(1:n, 1:n); x = zeros(n, m); 
x(:, n) = ai \ b(1:n); p = inv(ai' * ai); 
for i = (n + 1):m
  ai = a(i, :);
  k  = finv * p * ai' / (1 + finv * ai * p * ai');
  x(:, i) = x(:, i - 1) + k * (b(i) - ai * x(:, i - 1));
  p  = 1 / f * (p - k * ai * p);
end
