function [R, ph, info] = slra(tts, p, r, w, s0, Rini)
[m, n] = size(tts); np = max(max(tts));, vec_tts = tts(:); NP = 1:np;
                                      bfs = vec_tts(:, ones(1, np)) == NP(ones(m * n, 1), :);
if ~exist('s0', 'var') | isempty(s0), s0 = zeros(m, n); end, if ~exist('w', 'var') | isempty(w), w = eye(np); end
if ~exist('Rini') | isempty(Rini)
  ph = p; phext = [0; ph(:)]; dh = s0 + phext(tts + 1);, Rini = lra(dh, r); 
end
prob = optimset(); 
prob.solver = 'fmincon';
prob.options = optimset('disp', 'off'); 
prob.x0 = Rini; inv_w = inv(w);  
prob.objective = ...
          @(R) misfit_slra(R, tts, p, w, s0, bfs, inv_w);
prob.nonlcon = @(R) deal([], [R * R' - eye(size(R, 1))]);
[x, fval, flag, info] = fmincon(prob); info.M = fval;, R = x;
if nargout > 1, 
  [M, ph] = misfit_slra(R, tts, p, w, s0, bfs, inv_w);
end
