% prob1-4

h = ezplot('20*(x^2+7)/(x^2+1)');
set(h,'linewidth',2)
set(gca,'fontsize',20)
title('t')
xlabel('x')
ylabel('y')
print -deps prob1-4.eps

syms x
f = 20*(x^2+7)/(x^2+1);
simplify(diff(f))

% prob1-6
d = [0  0 1 -1  1 -1 2 -2  2 -2; 
     6 -6 4 -4 -4  4 1  1 -1 -1]

np = 50; f = zeros(np,1);
T = linspace(0,2*pi,np);
for i = 1:np
    p = [cos(T(i)); sin(T(i))];
    f(i) = trace(d'*(eye(2) - p*inv(p'*p)*p')*d);
end
fs = min(round(f)); its = find(round(f) == fs); ts = T(its);
ps1 = [cos(ts(1)); sin(ts(1))]; ps2 = [cos(ts(2)); sin(ts(2))]; 

% exact ones
fs = 20; ts = [pi/2 3*pi/2];

plot(T,f,'linewidth',2), hold on
plot(ts(1),fs,'or','markersize',5,'linewidth',5)
plot(ts(2),fs,'or','markersize',5,'linewidth',5)
axis([0 T(end) 10 150])
title('t')
set(gca,'fontsize',20)
xlabel('x')
ylabel('y')
grid on
set(gca,'ytick',[20 50 100 140])
set(gca,'xtick',[0 pi/2 pi 3*pi/2 2*pi])
print -deps prob1-7.eps

% prob1-8

q = 2; N = 10; r = 1;
%d = rand(q,N); 
p = rand(q,r); l = rand(r,N);
[dh,e] = als(d,p,l,0.0,10); e(end)

figure(1)
plot(0:length(e)-1,e(1:end),'linewidth',2), hold on
ax = axis; axis([0 10 ax(3:4)])
title('t')
set(gca,'fontsize',20)
xlabel('x')
ylabel('y')
%print -deps prob1-8.eps
