function uh = stepid_kf(y, a, b, c, d, v, x0, p0)
[p, m] = size(d); n = size(a, 1);
if nargin == 6, 
  x0 = zeros(n + m, 1); p0 = 1e8 * eye(n + m); 
end
a_aut = [a b; zeros(m, n) eye(m)]; c_aut = [c d];
xeh = tvkf_oe(y, a_aut, c_aut, v, x0, p0); 
uh = xeh((n + 1):end, :)';
