% generate data
m = 2; p = 3; n = 4; T = 50; xini0 = rand(n, 1);
u0 = rand(T, m); sys0 = drss(n, p, m); 
y0 = lsim(sys0, u0, 1:T, xini0);
w = [u0'; y0'] + 0.1 * [zeros(m, T); randn(p, T)];
% apply the method
[sysh, yh, info] = ident_oe(w, m, n); norm(sys0 - sysh)
